#include "CC1020.h"

/**
 * Send configuration data to the CC1020.
 *
 * @pre Default configuration values have been defined in CC1020settings.h
 * 
 * @post CC1020 Configuration registers are loaded with configuration values from
 * CC1020settings.h
 */
void ConfigureCC1020(void)
{
	short val;
	char i;
	char Configuration[33]={MAIN, INTERFACE, RESET, SEQUENCING,
							FREQ_2A, FREQ_1A, FREQ_0A, CLOCK_A,
							FREQ_2B, FREQ_1B, FREQ_0B, CLOCK_B,
							VCO, MODEM, DEVIATION, AFC_CONTROL,
							FILTER, VGA1, VGA2, VGA3, VGA4, LOCK,
							FRONTEND, ANALOG, BUFF_SWING,
							BUFF_CURRENT, PLL_BW, CALIBRATE, 
							PA_POWER, MATCH, PHASE_COMP, GAIN_COMP,
							POWERDOWN};
  
	for (i=0;i<33;i++)
	{
    	val=Configuration[i];
		WriteToCC1020Register(i,val);
	}
}

