#include "CC1020.h"

/**
 * This routine puts the CC1020 into power down mode. Use WakeUpCC1020ToRX followed by SetupCC1020RX or WakeupCC1020ToTX
 * followed by SetupCC1020TX to wake up from power down.
 *
 * @pre CC1020 is not in Power Down mode
 * 
 * @post CC1020 is in Power Down mode.  Internal VCO and PA are off.
 */
void SetupCC1020PD(void)
{
  // Put CC1020 into power-down
  WriteToCC1020Register(CC1020_MAIN,0x1F);

  // Turn off PA to minimise current draw
  WriteToCC1020Register(CC1020_PA_POWER,0x00);
}

