#include "CC1020.h"

/**
 *  This routine wakes the CC1020 up from PD mode to RX mode
 *
 * @pre CC1020 is in Power Down mode.
 * 
 * @post CC1020 is ready for SetupCC1020RX()
 */
void WakeUpCC1020ToRX(void)
{
  volatile int i;

  // Turn on xtal oscillator core
  WriteToCC1020Register(CC1020_MAIN,0x1B);

  // Setup bias current adjustment
  WriteToCC1020Register(CC1020_ANALOG,RXANALOG);
  WriteToCC1020Register(CC1020_DEVIATION,RXDEVIATION);
  WriteToCC1020Register(CC1020_AFC_CONTROL,0xC3);
  WriteToCC1020Register(CC1020_VGA3,0x2E);
  WriteToCC1020Register(CC1020_VGA4,0x29);

  // Insert wait routine here, must wait for xtal oscillator to stabilise, 
  // typically takes 2-5ms.
  Delay100TCYx(125);
//  for (i=0x0260; i > 0; i--);

  // Turn on bias generator
  WriteToCC1020Register(CC1020_MAIN,0x19);

  // Wait for 150 usec
  Delay10TCYx(28);
//  for (i=0x0010; i > 0; i--);

  // Turn on frequency synthesiser
  WriteToCC1020Register(CC1020_MAIN,0x11);
}

