#include "CC1020.h"

/**
 *  This routine wakes the CC1020 up from PD mode to TX mode
 *
 * @pre CC1020 is in Power Down mode.
 *
 * @post CC1020 is ready for SetupCC1020TX()
 */
void WakeUpCC1020ToTX(void)
{
  volatile int i;

  // Turn on xtal oscillator core
  WriteToCC1020Register(CC1020_MAIN,0xDB);

  // Setup bias current adjustment
  WriteToCC1020Register(CC1020_ANALOG,TXANALOG);
  WriteToCC1020Register(CC1020_DEVIATION,TXDEVIATION);
  WriteToCC1020Register(CC1020_AFC_CONTROL,0xC1);
  WriteToCC1020Register(CC1020_VGA3,0x2F);
  WriteToCC1020Register(CC1020_VGA4,0x2D);

  // Insert wait routine here, must wait for xtal oscillator to stabilise, 
  // typically takes 2-5ms.
  Delay100TCYx(125);
//  for (i=0x0260; i > 0; i--);

  // Turn on bias generator
  WriteToCC1020Register(CC1020_MAIN,0xD9);

  // Wait for 150 usec
  Delay10TCYx(28);
//  for (i=0x0010; i > 0; i--);

  // Turn on frequency synthesiser
  WriteToCC1020Register(CC1020_MAIN,0xD1);
}

