#include "CC1020.h"

/**
 * Writes configuration data given by 'char data' to a register in the CC1020 configuration registers
 * given by 'char addr'
 *
 * @pre SPI bus is open and configured.
 *
 * @post CC1020 register at 'addr' contains value of 'data.' 
 *
 * @param addr The register address to write to.
 * @param data Register contents to write.
 */
void WriteToCC1020Register(char addr, char data)
{
  char dummy;
  
  PSEL=0;
  
  dummy=SSPBUF;

  SSPBUF=(addr<<1)|0x01; // Write address to CC1020, write bit is always 1

  // Wait until data is written 
  while (SSPSTATbits.BF==0);    

  dummy=SSPBUF; 

  SSPBUF=data;


  while (SSPSTATbits.BF==0);
  
  PSEL=1;

}

